<?php
/**
 * This file is part of Advanced Custom Fields: Grid.
 *
 * Advanced Custom Fields: Grid is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 2 of the License, or any later version.
 *
 * Advanced Custom Fields: Grid is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Advanced Custom Fields: Grid.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Plugin Name:       Advanced Custom Fields: Grid
 * Plugin URI:        https://extensions.tandem.blog/acf-grid
 * Description:       Simple image grids based on Advanced Custom Fields.
 * Version:           2023022100
 * Author:            Tàndem
 * Author URI:        https://tandem.blog/
 * Text Domain:       acf-grid
 * Domain Path:       /languages
 * Requires PHP:      7.4
 * Requires at least: 5.8
 * License:           GPL-2.0-or-later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 */

declare( strict_types=1 );

use AcfGrid\Bootstrap;

add_action(
	'plugins_loaded',
	static function () {
		require_once __DIR__ . '/vendor/autoload.php';
		try {
			new Bootstrap( __FILE__ );
		} catch ( Throwable $e ) {
			$message = sprintf(
			// Translators: %s is exception's error message.
				__( '<p>Advanced Custom Fields: Grid is unable to run its bootstrap class.</p><p><strong>Error</strong>: %s.</p>', 'acf-grid' ),
				$e->getMessage()
			);
			wp_die( $message );
		}
	}
);
