/**
 * This file is part of Advanced Custom Fields: Grid.
 *
 * Advanced Custom Fields: Grid is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 2 of the License, or any later version.
 *
 * Advanced Custom Fields: Grid is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
 * more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Advanced Custom Fields: Grid.  If not, see <https://www.gnu.org/licenses/>.
 */
import SimpleLightbox from "simplelightbox";
import "simplelightbox/src/simple-lightbox.scss";
import "./view.scss";

function initLightBox( elements ) {
	new SimpleLightbox( elements, {
		overlayOpacity: 1,
		navText: ['', ''],
		closeText: '',
		captionSelector: 'self',
	} );
}

function initSingleImages() {
	const singleImages = document.querySelectorAll( '.wp-block-tandem-acf-grid a[rel="lightbox"]' );
	const singleImagesLen = singleImages.length;
	for ( let i = 0; i < singleImagesLen; i ++ ) {
		initLightBox( singleImages[i] );
	}
}

function initGalleries() {
	const galleries = document.querySelectorAll( '.wp-block-tandem-acf-grid[data-lightbox]' );
	const galleriesLen = galleries.length;
	for ( let i = 0; i < galleriesLen; i ++ ) {
		const gallery = galleries[i];
		const galleryId = gallery.dataset['lightbox'];
		initLightBox( gallery.querySelectorAll( 'a[rel="' + galleryId + '"]' ) )
	}
}

initSingleImages();
initGalleries();

